# jQuery Deprecated Functions

The jQuery Deprecated Functions re-implements a bunch of functions that
were removed in subsequent jQuery versions, such as `$.isArray`, `$isFunction`, `$.trim`, `$.camelCase` and many more.

Drupal 11 uses Jquery 4.0.0-beta.2, and many of these jQuery functions are already gone and there are still many modules that rely on jQuery/Javascript libraries that uses these functions. This module is a replacement of that.

For a full description of the module, visit the
[jQuery Deprecated Functions](https://www.drupal.org/project/jquery_deprecated_functions).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/jquery_deprecated_functions?categories=All).

## Table of contents

- Requirements

Drupal 10.3 or 11 installed

- Recommended modules

At [https://www.drupal.org/esinergia](ESINERGIA) we have some modules that may suit your needs, go check them out !

- Installation

Install this module with `composer`as usual

- Configuration

No configuration is needed, just install the module if you are having issues with a jQuery function that is not available in your Drupal Installation.

- Troubleshooting

If you have other jQuery module that is deprecated and want us to re-implement it here, please let us know and we'll work on it

- Maintainers

Daniel Rodriguez (danrod) - https://www.drupal.org/u/danrod (Maintainer)